Index: mibs/d-link/DES-1210-28ME_B2
===================================================================
--- mibs/d-link/DES-1210-28ME_B2	(revision 11288)
+++ mibs/d-link/DES-1210-28ME_B2	(working copy)
@@ -12494,6 +19502,18 @@
 	            "IEEE 802.1AB-2005 F.5.3"
 	    ::= { lldpXdot1RemProtocolEntry 2 }
 
+    dlinklldpForwordMessageState  OBJECT-TYPE
+       SYNTAX       INTEGER {
+                    enable(1),
+                    disable(2)
+                   }
+       MAX-ACCESS  read-write
+       STATUS      current
+       DESCRIPTION
+            "This object is used for enabling or disabling LLDP Forward Message in the system."
+
+       DEFVAL  { disable }
+       ::= { companyLLDPSetting 14 }
  -- ----------------------------------------------------------
  -- The companySecurity Groups
  -- ----------------------------------------------------------
@@ -12508,6 +19528,29 @@
            "To enable or disable DHCP Server Screening port list."
        ::= { securityDhcpServerScreen 1 }
 
+    dhcpServerScreenEnableVlanlist OBJECT-TYPE
+       SYNTAX      OCTET STRING
+       MAX-ACCESS  read-write
+       STATUS      current
+       DESCRIPTION
+           "To enable or disable DHCP Server Screening vlan list."
+       ::= { securityDhcpServerScreen 2 }
+       
+       
+	dhcpServerScreenLogSuppressDuration OBJECT-TYPE 
+           SYNTAX      INTEGER {
+                          one-min (1),
+                          five-min  (5),
+                          thirty-min  (30)
+                       }
+           MAX-ACCESS  read-write 
+           STATUS      current 
+           DESCRIPTION 
+               "DSS Trap Log Suppress Duration."
+                 
+           ::= { securityDhcpServerScreen 3 }
+
+       
 	-- filterDHCPServer Table
 
 	filterDHCPServerTable OBJECT-TYPE
@@ -12517,7 +19560,7 @@
 	   DESCRIPTION
 	      "A table to control filter DHCP Server for the entire
 	       switch or for each interface in the switch."
-	   ::= { securityDhcpServerScreen 2 }
+	   ::= { securityDhcpServerScreen 4 }
 
 	filterDHCPServerEntry OBJECT-TYPE
 	   SYNTAX      FilterDHCPServerEntry
@@ -12537,6 +19580,8 @@
 	         MacAddress,
 	      filterDHCPServerPortList
 	         PortList,
+	      filterDHCPServerVlanList
+	         OCTET STRING,
 	      filterDHCPServerRowStatus
 	         RowStatus
 	   }
@@ -12577,7 +19622,22 @@
 	        If a set of ports are configured in the 'PortList', the manager can
 	        access the switch only through the configured ports."
 	   ::= { filterDHCPServerEntry 3 }
+	   
+	filterDHCPServerVlanList OBJECT-TYPE
+	   SYNTAX       OCTET STRING
+	   MAX-ACCESS   read-write
+	   STATUS       current
+	   DESCRIPTION
+	       "Specifies the port numbers through which the authorized manager can
+	        access the switch.
 
+	        By default the authorized manager is allowed to access the switch
+	        through all the ports.
+
+	        If a set of ports are configured in the 'PortList', the manager can
+	        access the switch only through the configured ports."
+	   ::= { filterDHCPServerEntry 4 }
+
 	filterDHCPServerRowStatus OBJECT-TYPE
 	   SYNTAX      RowStatus
 	   MAX-ACCESS  read-create
@@ -12584,7 +19644,219 @@
 	   STATUS      current
 	   DESCRIPTION
 	      "This object indicates the status of this entry."
-	   ::= { filterDHCPServerEntry 4 }
+	   ::= { filterDHCPServerEntry 99 }
+
+    dhcpServerScreenEnableLog OBJECT-TYPE          
+       SYNTAX       INTEGER {
+                   	  enable(1),
+                      disabled(2)
+                		}
+   		 MAX-ACCESS  read-write 
+   	   STATUS      current 
+       DESCRIPTION 
+       		"To enable or disable DHCP Server Screening log function."
+
+   		 DEFVAL  { enable } 
+       ::= { securityDhcpServerScreen 5 } 
+
+ -- ----------------------------------------------------------
+ -- The companySecurity Groups
+ -- ----------------------------------------------------------
+    securityDhcpv6ServerScreen                  OBJECT IDENTIFIER ::= { companySecurity 12 }
+ -- dhcpv6 Server Screen Group --------------------------------------------- --
+
+    dhcpv6ServerScreenEnablePortlist OBJECT-TYPE
+       SYNTAX      PortList
+       MAX-ACCESS  read-write
+       STATUS      current
+       DESCRIPTION
+           "To enable or disable DHCPv6 Server Screening port list."
+       ::= { securityDhcpv6ServerScreen 1 }
+
+    dhcpv6ServerScreenEnableLog OBJECT-TYPE          
+       SYNTAX       INTEGER {
+                   	  enable(1),
+                      disabled(2)
+                		}
+   		 MAX-ACCESS  read-write 
+   	   STATUS      current 
+       DESCRIPTION 
+       		"To enable or disable DHCPv6 Server Screening log function."
+
+   		 DEFVAL  { enable } 
+       ::= { securityDhcpv6ServerScreen 2 } 
+  
+--    Currently, trap function designed to be set in snmp trap function.
+--    But it will change design in the future.  
+--    dhcpv6ServerScreenEnableTrap OBJECT-TYPE          
+--       SYNTAX       INTEGER {
+--                   	  enable(1),
+--                      disabled(2)
+--                		}
+--   		 MAX-ACCESS  read-write 
+--   	   STATUS      current 
+--       DESCRIPTION 
+--       		"To enable or disable DHCPv6 Server Screening trap function."
+
+--   		 DEFVAL  { disabled } 
+--       ::= { securityDhcpv6ServerScreen 3 } 
+
+       
+	-- filterDHCPv6Server Table
+
+	filterDHCPv6ServerTable OBJECT-TYPE
+	   SYNTAX      SEQUENCE OF FilterDHCPv6ServerEntry
+	   MAX-ACCESS  not-accessible
+	   STATUS      current
+	   DESCRIPTION
+	      "A table to control filter DHCPv6 Server for the entire
+	       switch or for each interface in the switch."
+	   ::= { securityDhcpv6ServerScreen 4 }
+
+	filterDHCPv6ServerEntry OBJECT-TYPE
+	   SYNTAX      FilterDHCPv6ServerEntry
+	   MAX-ACCESS  not-accessible
+	   STATUS      current
+	   DESCRIPTION
+	       "An entry appears in this table for each interface
+	        in the system."
+	   INDEX { filterDHCPv6ServerIpAddr }
+	   ::= { filterDHCPv6ServerTable 1 }
+
+	FilterDHCPv6ServerEntry ::=
+	   SEQUENCE {
+	      filterDHCPv6ServerIpAddr
+	         Ipv6Address,
+	      filterDHCPv6ServerPortList
+	         PortList,
+	      filterDHCPv6ServerRowStatus
+	         RowStatus
+	   }
+
+
+	filterDHCPv6ServerIpAddr OBJECT-TYPE
+	   SYNTAX      Ipv6Address
+	   MAX-ACCESS  read-only
+	   STATUS      current
+	   DESCRIPTION
+	       "Specifies either the Network or Host address from which the switch
+	        can be managed."
+	   ::= { filterDHCPv6ServerEntry 1 }
+
+	filterDHCPv6ServerPortList OBJECT-TYPE
+	   SYNTAX       PortList
+	   MAX-ACCESS   read-write
+	   STATUS       current
+	   DESCRIPTION
+	       "Specifies the port numbers through which the authorized manager can
+	        access the switch.
+
+	        By default the authorized manager is allowed to access the switch
+	        through all the ports.
+
+	        If a set of ports are configured in the 'PortList', the manager can
+	        access the switch only through the configured ports."
+	   ::= { filterDHCPv6ServerEntry 2 }
+	   
+	filterDHCPv6ServerRowStatus OBJECT-TYPE
+	   SYNTAX      RowStatus
+	   MAX-ACCESS  read-create
+	   STATUS      current
+	   DESCRIPTION
+	      "This object indicates the status of this entry."
+	   ::= { filterDHCPv6ServerEntry 99 }
+
+ -- ----------------------------------------------------------
+ -- The companySecurity Groups
+ -- ----------------------------------------------------------
+    securityIcmpv6RaAllNode                 OBJECT IDENTIFIER ::= { companySecurity 13 }
+ -- icmpv6 RA all node Group --------------------------------------------- --
+
+    icmpv6RaAllNodeEnablePortlist OBJECT-TYPE
+       SYNTAX      PortList
+       MAX-ACCESS  read-write
+       STATUS      current
+       DESCRIPTION
+           "To enable or disable ICMPv6 RA All Node port list."
+       ::= { securityIcmpv6RaAllNode 1 }
+
+    icmpv6RaAllNodeEnableLog OBJECT-TYPE          
+       SYNTAX       INTEGER {
+                   	  enable(1),
+                      disabled(2)
+                		}
+   		 MAX-ACCESS  read-write 
+   	   STATUS      current 
+       DESCRIPTION 
+       		"To enable or disable ICMPv6 RA All Node log function."
+
+   		 DEFVAL  { enable } 
+       ::= { securityIcmpv6RaAllNode 2 }  
+       
+	-- filterICMPv6RaAllNode Table
+
+	filterICMPv6RaAllNodeTable OBJECT-TYPE
+	   SYNTAX      SEQUENCE OF FilterICMPv6RaAllNodeEntry
+	   MAX-ACCESS  not-accessible
+	   STATUS      current
+	   DESCRIPTION
+	      "A table to control filter ICMPv6 RA for the entire
+	       switch or for each interface in the switch."
+	   ::= { securityIcmpv6RaAllNode 4 }
+
+	filterICMPv6RaAllNodeEntry OBJECT-TYPE
+	   SYNTAX      FilterICMPv6RaAllNodeEntry
+	   MAX-ACCESS  not-accessible
+	   STATUS      current
+	   DESCRIPTION
+	       "An entry appears in this table for each interface
+	        in the system."
+	   INDEX { filterICMPv6RaAllNodeServerIpAddr }
+	   ::= { filterICMPv6RaAllNodeTable 1 }
+
+	FilterICMPv6RaAllNodeEntry ::=
+	   SEQUENCE {
+	      filterICMPv6RaAllNodeServerIpAddr
+	         Ipv6Address,
+	      filterICMPv6RaAllNodeServerPortList
+	         PortList,
+	      filterICMPv6RaAllNodeServerRowStatus
+	         RowStatus
+	   }
+
+
+	filterICMPv6RaAllNodeServerIpAddr OBJECT-TYPE
+	   SYNTAX      Ipv6Address
+	   MAX-ACCESS  read-only
+	   STATUS      current
+	   DESCRIPTION
+	       "Specifies either the Network or Host address from which the switch
+	        can be managed."
+	   ::= { filterICMPv6RaAllNodeEntry 1 }
+
+	filterICMPv6RaAllNodeServerPortList OBJECT-TYPE
+	   SYNTAX       PortList
+	   MAX-ACCESS   read-write
+	   STATUS       current
+	   DESCRIPTION
+	       "Specifies the port numbers through which the authorized manager can
+	        access the switch.
+
+	        By default the authorized manager is allowed to access the switch
+	        through all the ports.
+
+	        If a set of ports are configured in the 'PortList', the manager can
+	        access the switch only through the configured ports."
+	   ::= { filterICMPv6RaAllNodeEntry 2 }
+	   
+	filterICMPv6RaAllNodeServerRowStatus OBJECT-TYPE
+	   SYNTAX      RowStatus
+	   MAX-ACCESS  read-create
+	   STATUS      current
+	   DESCRIPTION
+	      "This object indicates the status of this entry."
+	   ::= { filterICMPv6RaAllNodeEntry 99 }
+	            	     
     securityTrafficSeg                  OBJECT IDENTIFIER ::= { companySecurity 9}
   
 
@@ -12645,7 +19917,7 @@
     
  -- ----------------------------------------------------------
  -- The companySecurity Groups
- -- ----------------------------------------------------------      	
+ -- ----------------------------------------------------------
     securityAAC                  OBJECT IDENTIFIER ::= { companySecurity 11 }
 
 -- -------------------------------------------------------------
@@ -12652,35 +19924,35 @@
 -- Authentication Policy and Parameter Settings
 -- -------------------------------------------------------------
     aacAuthenAdminState OBJECT-TYPE
-	    SYNTAX  INTEGER {
-	                enabled(1),
-	                disabled(2)
-	            }
-	    MAX-ACCESS  read-write
-	    STATUS  current
-	    DESCRIPTION
-	        "This object indicates the Access Authentication is enable or 
-	        disable."
-	    ::= { securityAAC 1}    
- 
+        SYNTAX  INTEGER {
+                    enabled(1),
+                    disabled(2)
+                }
+        MAX-ACCESS  read-write
+        STATUS  current
+        DESCRIPTION
+            "This object indicates the Access Authentication is enable or
+            disable."
+        ::= { securityAAC 1}
 
-	aacAuthParamResponseTimeout  OBJECT-TYPE
-		    SYNTAX     INTEGER (0..255)
-		    MAX-ACCESS read-write
-		    STATUS     current
-		    DESCRIPTION
-		        "Timeout in second for login authentication response."
-		    ::= { securityAAC 2 }   
-	
-	aacAuthParamAttempt  OBJECT-TYPE
-		    SYNTAX     INTEGER (1..255)
-		    MAX-ACCESS read-write
-		    STATUS     current
-		    DESCRIPTION
-		        "The amount for login authentication, if login failure exceed,
-		         connection or access would be locked."
-		    ::= { securityAAC 3 }         	    
 
+    aacAuthParamResponseTimeout  OBJECT-TYPE
+            SYNTAX     INTEGER (0..255)
+            MAX-ACCESS read-write
+            STATUS     current
+            DESCRIPTION
+                "Timeout in second for login authentication response."
+            ::= { securityAAC 2 }
+
+    aacAuthParamAttempt  OBJECT-TYPE
+            SYNTAX     INTEGER (1..255)
+            MAX-ACCESS read-write
+            STATUS     current
+            DESCRIPTION
+                "The amount for login authentication, if login failure exceed,
+                 connection or access would be locked."
+            ::= { securityAAC 3 }
+
 -- -------------------------------------------------------------
 -- Application Authentication Settings
 -- -------------------------------------------------------------
